@tailwind base;
@tailwind components;
@tailwind utilities;

@import url('https://www.ktc.co.th/pub/media/sites/ktc-font/ktc-font-face-new.css');

html {
  scroll-behavior: smooth;
  scrollbar-width: thin;
  line-height: 1;
}

@font-face {
  font-family: ConverseFonts;
  src: url(https://www.ktc.co.th/pub/media/sites/creditcard/font/SukhumvitTadmai_Tex.woff2);
  font-weight: normal;
  font-style: normal;
  unicode-range: U+0E00- U+0E7F;
}
@font-face {
  font-family: ConverseFonts-Bold;
  src: url(https://www.ktc.co.th/pub/media/sites/creditcard/font/SukhumvitTadmai_Bol.woff2);
  font-weight: normal;
  font-style: normal;
  unicode-range: U+0E00- U+0E7F;
}

@font-face {
  font-family: ConverseFonts;
  src: url(https://www.ktc.co.th/pub/media/sites/creditcard/font/GothamRnd-Light.woff2);
  font-weight: normal;
  font-style: normal;
  /* unicode-range: U+41-5A, U+61-7A, U+C0-FF; */
}

@font-face {
  font-family: ConverseFonts-Bold;
  src: url(https://www.ktc.co.th/pub/media/sites/creditcard/font/GothamRnd-Medium.woff2);
  font-weight: normal;
  font-style: normal;
  /* unicode-range: U+41-5A, U+61-7A, U+C0-FF; */
}

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  font-family: "ConverseFonts", sans-serif !important;
  line-height: 1.55em;
  letter-spacing: normal;
}

.fonts-bold {
  font-family: "ConverseFonts-Bold", sans-serif;
}

.swiper {
  width: 100%;
  z-index: 0 !important;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.transition-container {
  opacity: 1;
  visibility: visible;
  height: auto;
  max-height: 1000px;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}

.transition-container.hide {
  opacity: 0;
  visibility: hidden;
  height: 0;
  max-height: 0;
}

.transition-register {
  opacity: 1;
  visibility: visible;
  height: 100%;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
  transform: translateX(0);
}

.transition-register.hide-register {
  opacity: 0;
  visibility: hidden;
  height: 100%;
  max-height: 0;
  transform: translateX(-5%);
}

.credits-card {
  background: linear-gradient(
    148deg,
    #ffd631 -44.28%,
    rgba(255, 214, 49, 0) 80.54%
  );
}

/* Sticky Content */

.section-img {
  width: 50%;
}

.section-img img {
  display: block;
  width: 100%;
}

.section-label {
  font-size: 14px;
  color: #aaa;
  text-transform: uppercase;
  font-weight: bold;
}

.section-head {
  font-weight: bold;
  font-size: 40px;
  margin: 10px 0 30px 0;
  color: #111;
  line-height: 1.2;
  letter-spacing: 1px;
}

.section-info {
  font-size: 14px;
  color: #777;
}

.section-detail {
  width: 50%;
  padding: 50px 0 50px 80px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
.tap-to-pay {
  padding: 0px 0 0px;
  position: relative;
  width: 100%;
  overflow: hidden;
  z-index: 0;
}

.tap-to-pay * {
  z-index: 1;
}

.tap-to-pay .section-head sup {
  font-size: 18px;
  top: -20px;
  position: relative;
}

.tap-to-pay .tap-to-pay-row {
  margin-top: 120px;
}

.tap-to-pay .section-detail {
  width: 100%;
}

.tap-to-pay .section-detail .section-text {
  font-size: 28px;
}

.tap-to-pay .swiper-horizontal > .swiper-pagination-bullets,
.tap-to-pay .swiper-pagination-bullets.swiper-pagination-horizontal,
.tap-to-pay .swiper-pagination-custom,
.tap-to-pay .swiper-pagination-fraction {
  bottom: 80px;
}

.tap-to-pay .section-img {
  position: relative;
}

.tap-to-pay .section-img .visa-card {
  position: absolute;
  width: 37%;
  left: 31.5%;
  top: 35%;
}

.tap-to-pay .section-img .visa-card .visacard-box {
  position: relative;
  overflow: hidden;
  padding-top: 64%;
}

.tap-to-pay .section-img .visa-card img {
  position: absolute;
  border-radius: 10px;
  top: 0;
  left: 0;
  opacity: 0;
  -webkit-transition: all 1500ms;
  transition: all 1500ms;
}

.tap-to-pay .section-img .visa-card img.active {
  opacity: 1;
}

.tap-to-pay .swiper-pagination-bullet {
  border: 2px solid #2d70b9;
  background: none;
  width: 8px;
  height: 8px;
  border-radius: 8px;
}

.tap-to-pay .swiper-pagination-bullet-active {
  background: #2d70b9;
  width: 18px;
}

.tap-to-pay {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  overflow: visible;
  width: 1440px;
  max-width: 100%;
  margin: auto;
}

.tap-to-pay .p-wrap {
  width: 50%;
  position: relative;
}

.tap-to-pay .p-wrap img,
.tap-to-pay .p-wrap video {
  width: 100%;
}

.tap-to-pay .p-wrap .scroll-sticky {
  position: sticky;
  top: 20%;
  height: 80vh;
  overflow: hidden;
  padding-top: 67%;
}

.tap-to-pay .p-wrap .panel {
  position: absolute;
  top: 0;
  overflow: hidden;
  width: 100%;
  z-index: 1;
}

.tap-to-pay .p-wrap .panel img,
.tap-to-pay .p-wrap .panel video {
  width: 100%;
  display: block;
}

.tap-to-pay .p-wrap .panel._1 {
  z-index: 3;
}

.tap-to-pay .p-wrap .panel._2 {
  z-index: 2;
}

.tap-to-pay .p-wrap .panel._3 {
  z-index: 1;
}

.tap-to-pay .text-wrap {
  width: 50%;
  position: relative;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.tap-to-pay .panel-text {
  height: 80vh;
}

/* ------- */

.d-block {
  display: block !important;
}

@media (min-width: 992px) {
  .d-lg-none {
    display: none !important;
  }
}
.mb-4,
.my-4 {
  margin-bottom: 1.5rem !important;
}

@media (min-width: 768px) {
  .mb-md-5,
  .my-md-5 {
    margin-bottom: 3rem !important;
  }
  .mt-md-5,
  .my-md-5 {
    margin-top: 3rem !important;
  }
  .mt-md-4,
  .my-md-4 {
    margin-top: 1.5rem !important;
  }
}

.mt-2,
.my-2 {
  margin-top: 0.5rem !important;
}
.mb-3,
.my-3 {
  margin-bottom: 1rem !important;
}

.mt-4,
.my-4 {
  margin-top: 1.5rem !important;
}

*:focus {
  outline: none;
}

textarea:focus,
input:focus {
  outline: none;
}

.item {
  height: 1000px;
  border: 1px solid black;
  margin: 10px;
  text-align: center;
}
